import random


def roll_mutant_animal():
    creature = dict()

    animal_stock = ['badger', 'racoon', 'hound', 'wolf', 'big-cat', 'fox',
                    'spider', 'lizard', 'ant', 'hornet', 'hawk', 'ostrich', 'emu', 'crocodile',
                    'snake', 'rabbit', 'rat', 'bear', 'elephant', 'platypus', 'bull', 'horse', 'goat', 'bat',
                    'silverfish', 'cockroach', 'turtle', 'gibbon', 'penguin', 'orangutan', 'chimpanzee',
                    'housefly', 'lobster', 'crab', 'prawn', 'pig', 'chicken', 'duck', 'parrot', 'mouse',
                    'heron', 'weasel', 'squirrel', 'pigeon', 'crow', 'house-cat', 'shark', 'dolphin', 'narwhal',
                    'buffalo']

    posture = ['upright', 'prone', 'mixed']

    creature['stock'] = random.choice(animal_stock)
    creature['posture'] = random.choice(posture)

    if creature['posture'] == 'upright' or creature['posture'] == 'mixed':
        creature['arms'] = random.choice(list(range(2, 4, 2)))  # if you're upright 4 is the limit
        creature['legs'] = random.choice(list(range(2, 6, 2)))  # same with legs

    if creature['posture'] == 'prone':
        creature['legs'] = random.choice(list(range(4, 8, 2)))  # if you're prone, you only get legs

    return creature
